Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.management
Interface MessageMBean

public interface MessageMBean

The MessageMBean interface represents a business message in a business transaction.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`DeliveryStatus[]` | `getAllDeliveryStatus()` Gets the delivery status for all of the recipients of this business message.
`java.lang.String` | `getConversationId()` Gets the business tx id in which this business message was sent.
`int` | `getDeliveredSuccessfully()` Gets the number of destinations that this business message reached successfully.
`DeliveryStatus` | `getDeliveryStatus()` Gets the delivery status from a single recipient of this business message.
`int` | `getDestinations()` Gets the number of destinations to which this business message was sent.
`java.lang.String` | `getMessageId()` Gets the message ID of this business message.
`java.util.Hashtable` | `getMessageTracking()` Gets business message tracking.
`long` | `timeTaken()` Gets the time taken, in milliseconds, to deliver this business message to all of its destinations.

Method Detail

### getConversationId

    public java.lang.String getConversationId()

  Gets the business tx id in which this business message was sent.

  Returns:
    String - Business transaction id.

### getMessageId

    public java.lang.String getMessageId()

  Gets the message ID of this business message.

  Returns:
    String - Message ID.

### timeTaken

    public long timeTaken()

  Gets the time taken, in milliseconds, to deliver this business message to all of its destinations.

  Returns:
    long - Elapsed time, in milliseconds, or -1 if the result is not known.

### getAllDeliveryStatus

    public DeliveryStatus[] getAllDeliveryStatus()

  Gets the delivery status for all of the recipients of this business message.

  Returns:
    Deliverystatus[] - Delivery status for all message recipients.

### getDeliveryStatus

    public DeliveryStatus getDeliveryStatus()

  Gets the delivery status from a single recipient of this business message. Use this method only when the business message is sent to a single recipient.

  Returns:
    DeliveryStatus - Delivery status of the message recipient.

### getDestinations

    public int getDestinations()

  Gets the number of destinations to which this business message was sent.

  Returns:
    int - Number of destinations to which this business message was sent.

### getDeliveredSuccessfully

    public int getDeliveredSuccessfully()

  Gets the number of destinations that this business message reached successfully.

  Returns:
    int - Number of destinations reached.

### getMessageTracking

    public java.util.Hashtable getMessageTracking()

  Gets business message tracking.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)